Subject: [PATCH v2 1/2] clocksource: dw_apb_timer: Add common DTS glue for dw_apb_timer

From: [email-masked] (Jamie Iles)
Date: Wed, 11 Jul 2012 00:15:25 +0100

Hi,

On Tue, Jul 10, 2012 at 04:39:40PM -0500, dinguyen at altera.com wrote:
> From: Dinh Nguyen <[email-masked]>
> 
> Make a common device tree glue for clocksource/dw_apb_timer.
> Move mach-picoxcell/time.c to be a generic device tree application
> of the dw_apb_timer.
> 
> Signed-off-by: Pavel Machek <[email-masked]>
> Signed-off-by: Dinh Nguyen <[email-masked]>
> ---
>  Documentation/devicetree/bindings/rtc/dw-apb.txt   |   24 ++++++++++
>  arch/arm/Kconfig                                   |    1 +
>  drivers/clocksource/Kconfig                        |    3 ++
>  drivers/clocksource/Makefile                       |    1 +
>  .../clocksource/dw_apb_timer_of.c                  |   49 +++++++++++---------
>  5 files changed, 57 insertions(+), 21 deletions(-)
>  create mode 100644 Documentation/devicetree/bindings/rtc/dw-apb.txt
>  rename arch/arm/mach-picoxcell/time.c => drivers/clocksource/dw_apb_timer_of.c (60%)
> 
> diff --git a/arch/arm/mach-picoxcell/time.c  
> b/drivers/clocksource/dw_apb_timer_of.c
> similarity index 60%
> rename from arch/arm/mach-picoxcell/time.c
> rename to drivers/clocksource/dw_apb_timer_of.c
> index 2ecba67..83bd997 100644
> --- a/arch/arm/mach-picoxcell/time.c
> +++ b/drivers/clocksource/dw_apb_timer_of.c
> @@ -1,11 +1,20 @@
[...]
> -static const struct of_device_id picoxcell_rtc_ids[] __initconst = {
> -	{ .compatible = "picochip,pc3x2-rtc" },
> +static const struct of_device_id sptimer_ids[] __initconst = {
> +	{ .compatible = "snps,dw-apb-timer-sp" },
>  	{ /* Sentinel */ },

Please keep picochip,pc3x2-rtc in the compatible list otherwise we won't 
boot any more.

> -static const struct of_device_id picoxcell_timer_ids[] __initconst = 
> {
> -	{ .compatible = "picochip,pc3x2-timer" },
> +static const struct of_device_id osctimer_ids[] __initconst = {
> +	{ .compatible = "snps,dw-apb-timer-osc" },
>  	{},
>  };

The same here.  Also, I'm not sure that the split of these patches is 
correct - there isn't any bisectability here as you remove the timer in 
this patch but picoxcell won't build.  I think squashing these 2 patches 
is fine.

I can't test on hardware right now, but with those changes:

Acked-by: Jamie Iles <[email-masked]>

Jamie